{% macro card_detail(header, action, id = 'cardDetail', height= '200px') %}
    <div id="{{ id|replace({' ':''}) }}" class="card card-genossys p-0 " style="border-radius: 8px; min-height: {{ height }}">
        <div class="card-body">
            <h6 class="font-weight-bold">{{ header }}
                {% if action is not null %}
                    <a class="text-black-50" style="float: right; vertical-align: middle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                    </a>
                    {% set indexAction = action|length-1 %}
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuLink">
                        {% for i in 0..indexAction %}
                            <a class="dropdown-item" href="#!" id="{{ action[i]['label']|replace({' ':''})|replace({'/':''}) }}">{{ action[i]['label'] }}</a>
                        {% endfor %}

                    </div>
                {% endif %}
            </h6>
            <div class="dropdown-divider"></div>
            <div id="isi">
                <div class="" id="loading" style="display: flex; align-items: center; min-height: 100px">
                    <div id="circularG" style="align-content: center">
                        <div id="circularG_1" class="circularG"></div>
                        <div id="circularG_2" class="circularG"></div>
                        <div id="circularG_3" class="circularG"></div>
                        <div id="circularG_4" class="circularG"></div>
                        <div id="circularG_5" class="circularG"></div>
                        <div id="circularG_6" class="circularG"></div>
                        <div id="circularG_7" class="circularG"></div>
                        <div id="circularG_8" class="circularG"></div>
                    </div>
                </div>
            </div>

        </div>
    </div>
{% endmacro %}

{% macro cardDetailJS(tableFields, space, class, where = null, id='cardDetail') %}
    <script>
        $(document).ready(async function () {
            {#console.log('datanya adalah :   {{ space }}');#}
            {#console.log('{{ class }}');#}
            {#console.log('{{ where }}');#}
            var whereTxt = '{{ where }}';
            var where = whereTxt.replace(/&quot;/g, '\"');
            // console.log('where card '+where);

            {#var json = JSON2.stringify('{{ detail }}' );#}
            {#console.log(json);#}
            let aray = [];
            let formatter = [];
            {% for v, a in tableFields %}

            aray.push('{{ a['sql'] }}');
            {% for k,b in a %}
            {% if k == 'formatter' %}
            formatter['{{ v }}'] = '{{ b }}';
            {#formatter.push('{{ b }}');#}

            {% endif %}
            {% endfor %}

            {% endfor %}

            // console.log(formatter)

            let data = {
                'class': '{{ class }}',
                'space': '{{ space }}',
                'where': where,
                'sql': aray,
                formatter
            };

            $.get('/card/get', data, function (dat) {
                var tabel = $('#{{ id|replace({' ':''}) }} #isi').html('<table></table>');
                $.each(dat, function (key, val) {
                    // console.log(val['data'][0]);
                    {% set lenfields = tableFields|length-1 %}
                    {% for i in 0..lenfields %}
                    {#console.log('{{ tableFields[i]['label'] }} : ' + val['data'][0]['{{ tableFields[i]['field'] }}']);#}
                    var row = $('<tr><td class="text-right"></td><td class="text-center" width="20">:</td><td></td></tr>');
                    row.children().eq(0).text('{{ tableFields[i]['label'] }}');
                    row.children().eq(2).html(val['data'][0]['{{ tableFields[i]['field'] }}'] ?? '-');
                    row.appendTo(tabel);

                    {% endfor %}
                });
                {#if ('{{ id|replace({' ':''}) }}' === 'penarikan'){#}
                {#    var row = $('<tr><td class="text-right"></td><td class="text-center" width="20">:</td><td id="btn-penarikan"></td></tr>');#}
                {#    row.children().eq(0).text('Konfirmasi');#}
                {#    // row.children().eq(2).html("");#}
                {#    row.appendTo(tabel);#}

                {#}#}
            });


        });

    </script>
{% endmacro %}


{% macro cardDetailCardJS(url, param, id='cardDetail') %}
    <script>
        $(document).ready(async function () {

            let data = {
                'id': '{{ param }}',
            };

            $.get('{{ path(url, {'id' : param}) }}', function (dat) {
                var tab = $('#{{ id|replace({' ':''}) }} #isi').html('<div class="row"></div>');
                console.log(dat['payload'].length);

                if(dat['payload'].length > 0){
                    $.each(dat['payload'], function (key, val) {
                        console.log(val);
                        $('#{{ id|replace({' ':''}) }} #isi .row').append('<div class="card p-1 pr-2 pl-2 m-2 " style="font-weight: 500">' + val['card'] + ' - '+val['level']+'</div>');
                    })
                }else{
                    $('#{{ id|replace({' ':''}) }} #isi .row').append('<div class="p-1 pr-2 pl-2 m-2 " style="font-weight: 500">Belum ada keahlian yang dimasukkan</div>');

                }
            });

        });

    </script>
{% endmacro %}



{% macro cardDetailInfoJS(url, param, id='cardDetail') %}
    <script>
        $(document).ready(async function () {

            let data = {
                'id': '{{ param }}',
            };

            $.get('{{ path(url, {'id' : param}) }}', function (dat) {
                var tabel = $('#{{ id|replace({' ':''}) }} #isi').html('<table></table>');

                if (dat['code'] === 200){
                   if(dat['payload'].length > 0){
                       $.each(dat['payload'], function (key, val) {
                           var row = $('<tr><td class="text-right"></td><td class="text-center" width="20">:</td><td></td></tr>');
                           row.children().eq(0).text(val['label']);
                           row.children().eq(2).html(val['data']);
                           row.appendTo(tabel);
                       });
                   }else{

                   }
               }else {
                   console.log()
               }
            });

        });

    </script>
{% endmacro %}